Makefile.in 41 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029103010311032103310341035103610371038103910401041104210431044104510461047104810491050105110521053105410551056105710581059106010611062106310641065106610671068106910701071107210731074107510761077107810791080108110821083108410851086108710881089109010911092109310941095109610971098109911001101110211031104110511061107110811091110111111121113111411151116111711181119112011211122112311241125112611271128112911301131113211331134113511361137113811391140114111421143114411451146114711481149115011511152115311541155115611571158115911601161116211631164116511661167116811691170117111721173117411751176117711781179118011811182118311841185118611871188118911901191119211931194119511961197119811991200120112021203120412051206120712081209121012111212121312141215121612171218121912201221122212231224122512261227
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. #
  13. # Copyright (c) 2005, 2006, 2009 Thorsten Kukuk <kukuk@suse.de>
  14. #
  15. VPATH = @srcdir@
  16. am__is_gnu_make = { \
  17. if test -z '$(MAKELEVEL)'; then \
  18. false; \
  19. elif test -n '$(MAKE_HOST)'; then \
  20. true; \
  21. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  22. true; \
  23. else \
  24. false; \
  25. fi; \
  26. }
  27. am__make_running_with_option = \
  28. case $${target_option-} in \
  29. ?) ;; \
  30. *) echo "am__make_running_with_option: internal error: invalid" \
  31. "target option '$${target_option-}' specified" >&2; \
  32. exit 1;; \
  33. esac; \
  34. has_opt=no; \
  35. sane_makeflags=$$MAKEFLAGS; \
  36. if $(am__is_gnu_make); then \
  37. sane_makeflags=$$MFLAGS; \
  38. else \
  39. case $$MAKEFLAGS in \
  40. *\\[\ \ ]*) \
  41. bs=\\; \
  42. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  43. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  44. esac; \
  45. fi; \
  46. skip_next=no; \
  47. strip_trailopt () \
  48. { \
  49. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  50. }; \
  51. for flg in $$sane_makeflags; do \
  52. test $$skip_next = yes && { skip_next=no; continue; }; \
  53. case $$flg in \
  54. *=*|--*) continue;; \
  55. -*I) strip_trailopt 'I'; skip_next=yes;; \
  56. -*I?*) strip_trailopt 'I';; \
  57. -*O) strip_trailopt 'O'; skip_next=yes;; \
  58. -*O?*) strip_trailopt 'O';; \
  59. -*l) strip_trailopt 'l'; skip_next=yes;; \
  60. -*l?*) strip_trailopt 'l';; \
  61. -[dEDm]) skip_next=yes;; \
  62. -[JT]) skip_next=yes;; \
  63. esac; \
  64. case $$flg in \
  65. *$$target_option*) has_opt=yes; break;; \
  66. esac; \
  67. done; \
  68. test $$has_opt = yes
  69. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  70. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  71. pkgdatadir = $(datadir)/@PACKAGE@
  72. pkgincludedir = $(includedir)/@PACKAGE@
  73. pkglibdir = $(libdir)/@PACKAGE@
  74. pkglibexecdir = $(libexecdir)/@PACKAGE@
  75. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  76. install_sh_DATA = $(install_sh) -c -m 644
  77. install_sh_PROGRAM = $(install_sh) -c
  78. install_sh_SCRIPT = $(install_sh) -c
  79. INSTALL_HEADER = $(INSTALL_DATA)
  80. transform = $(program_transform_name)
  81. NORMAL_INSTALL = :
  82. PRE_INSTALL = :
  83. POST_INSTALL = :
  84. NORMAL_UNINSTALL = :
  85. PRE_UNINSTALL = :
  86. POST_UNINSTALL = :
  87. build_triplet = @build@
  88. host_triplet = @host@
  89. @HAVE_VERSIONING_TRUE@am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  90. subdir = modules/pam_limits
  91. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  92. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  93. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  94. $(top_srcdir)/m4/intlmacosx.m4 \
  95. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  96. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  97. $(top_srcdir)/m4/ld-no-undefined.m4 \
  98. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  99. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  100. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  101. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  102. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  103. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  104. $(top_srcdir)/m4/progtest.m4 \
  105. $(top_srcdir)/m4/warn_lang_flags.m4 \
  106. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  107. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  108. $(ACLOCAL_M4)
  109. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  110. $(am__dist_noinst_DATA_DIST) $(dist_secureconf_DATA) \
  111. $(am__DIST_COMMON)
  112. mkinstalldirs = $(install_sh) -d
  113. CONFIG_HEADER = $(top_builddir)/config.h
  114. CONFIG_CLEAN_FILES =
  115. CONFIG_CLEAN_VPATH_FILES =
  116. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  117. am__vpath_adj = case $$p in \
  118. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  119. *) f=$$p;; \
  120. esac;
  121. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  122. am__install_max = 40
  123. am__nobase_strip_setup = \
  124. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  125. am__nobase_strip = \
  126. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  127. am__nobase_list = $(am__nobase_strip_setup); \
  128. for p in $$list; do echo "$$p $$p"; done | \
  129. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  130. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  131. if (++n[$$2] == $(am__install_max)) \
  132. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  133. END { for (dir in files) print dir, files[dir] }'
  134. am__base_list = \
  135. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  136. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  137. am__uninstall_files_from_dir = { \
  138. test -z "$$files" \
  139. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  140. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  141. $(am__cd) "$$dir" && rm -f $$files; }; \
  142. }
  143. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man5dir)" \
  144. "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)"
  145. LTLIBRARIES = $(securelib_LTLIBRARIES)
  146. pam_limits_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  147. pam_limits_la_SOURCES = pam_limits.c
  148. pam_limits_la_OBJECTS = pam_limits.lo
  149. AM_V_lt = $(am__v_lt_@AM_V@)
  150. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  151. am__v_lt_0 = --silent
  152. am__v_lt_1 =
  153. AM_V_P = $(am__v_P_@AM_V@)
  154. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  155. am__v_P_0 = false
  156. am__v_P_1 = :
  157. AM_V_GEN = $(am__v_GEN_@AM_V@)
  158. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  159. am__v_GEN_0 = @echo " GEN " $@;
  160. am__v_GEN_1 =
  161. AM_V_at = $(am__v_at_@AM_V@)
  162. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  163. am__v_at_0 = @
  164. am__v_at_1 =
  165. DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  166. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  167. am__maybe_remake_depfiles = depfiles
  168. am__depfiles_remade = ./$(DEPDIR)/pam_limits.Plo
  169. am__mv = mv -f
  170. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  171. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  172. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  173. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  174. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  175. $(AM_CFLAGS) $(CFLAGS)
  176. AM_V_CC = $(am__v_CC_@AM_V@)
  177. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  178. am__v_CC_0 = @echo " CC " $@;
  179. am__v_CC_1 =
  180. CCLD = $(CC)
  181. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  182. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  183. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  184. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  185. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  186. am__v_CCLD_0 = @echo " CCLD " $@;
  187. am__v_CCLD_1 =
  188. SOURCES = pam_limits.c
  189. DIST_SOURCES = pam_limits.c
  190. am__can_run_installinfo = \
  191. case $$AM_UPDATE_INFO_DIR in \
  192. n|no|NO) false;; \
  193. *) (install-info --version) >/dev/null 2>&1;; \
  194. esac
  195. man5dir = $(mandir)/man5
  196. man8dir = $(mandir)/man8
  197. NROFF = nroff
  198. MANS = $(dist_man_MANS)
  199. am__dist_noinst_DATA_DIST = README
  200. DATA = $(dist_noinst_DATA) $(dist_secureconf_DATA)
  201. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  202. # Read a list of newline-separated strings from the standard input,
  203. # and print each of them once, without duplicates. Input order is
  204. # *not* preserved.
  205. am__uniquify_input = $(AWK) '\
  206. BEGIN { nonempty = 0; } \
  207. { items[$$0] = 1; nonempty = 1; } \
  208. END { if (nonempty) { for (i in items) print i; }; } \
  209. '
  210. # Make sure the list of sources is unique. This is necessary because,
  211. # e.g., the same source file might be shared among _SOURCES variables
  212. # for different programs/libraries.
  213. am__define_uniq_tagged_files = \
  214. list='$(am__tagged_files)'; \
  215. unique=`for i in $$list; do \
  216. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  217. done | $(am__uniquify_input)`
  218. ETAGS = etags
  219. CTAGS = ctags
  220. am__tty_colors_dummy = \
  221. mgn= red= grn= lgn= blu= brg= std=; \
  222. am__color_tests=no
  223. am__tty_colors = { \
  224. $(am__tty_colors_dummy); \
  225. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  226. am__color_tests=no; \
  227. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  228. am__color_tests=yes; \
  229. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  230. am__color_tests=yes; \
  231. fi; \
  232. if test $$am__color_tests = yes; then \
  233. red=''; \
  234. grn=''; \
  235. lgn=''; \
  236. blu=''; \
  237. mgn=''; \
  238. brg=''; \
  239. std=''; \
  240. fi; \
  241. }
  242. am__recheck_rx = ^[ ]*:recheck:[ ]*
  243. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  244. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  245. # A command that, given a newline-separated list of test names on the
  246. # standard input, print the name of the tests that are to be re-run
  247. # upon "make recheck".
  248. am__list_recheck_tests = $(AWK) '{ \
  249. recheck = 1; \
  250. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  251. { \
  252. if (rc < 0) \
  253. { \
  254. if ((getline line2 < ($$0 ".log")) < 0) \
  255. recheck = 0; \
  256. break; \
  257. } \
  258. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  259. { \
  260. recheck = 0; \
  261. break; \
  262. } \
  263. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  264. { \
  265. break; \
  266. } \
  267. }; \
  268. if (recheck) \
  269. print $$0; \
  270. close ($$0 ".trs"); \
  271. close ($$0 ".log"); \
  272. }'
  273. # A command that, given a newline-separated list of test names on the
  274. # standard input, create the global log from their .trs and .log files.
  275. am__create_global_log = $(AWK) ' \
  276. function fatal(msg) \
  277. { \
  278. print "fatal: making $@: " msg | "cat >&2"; \
  279. exit 1; \
  280. } \
  281. function rst_section(header) \
  282. { \
  283. print header; \
  284. len = length(header); \
  285. for (i = 1; i <= len; i = i + 1) \
  286. printf "="; \
  287. printf "\n\n"; \
  288. } \
  289. { \
  290. copy_in_global_log = 1; \
  291. global_test_result = "RUN"; \
  292. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  293. { \
  294. if (rc < 0) \
  295. fatal("failed to read from " $$0 ".trs"); \
  296. if (line ~ /$(am__global_test_result_rx)/) \
  297. { \
  298. sub("$(am__global_test_result_rx)", "", line); \
  299. sub("[ ]*$$", "", line); \
  300. global_test_result = line; \
  301. } \
  302. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  303. copy_in_global_log = 0; \
  304. }; \
  305. if (copy_in_global_log) \
  306. { \
  307. rst_section(global_test_result ": " $$0); \
  308. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  309. { \
  310. if (rc < 0) \
  311. fatal("failed to read from " $$0 ".log"); \
  312. print line; \
  313. }; \
  314. printf "\n"; \
  315. }; \
  316. close ($$0 ".trs"); \
  317. close ($$0 ".log"); \
  318. }'
  319. # Restructured Text title.
  320. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  321. # Solaris 10 'make', and several other traditional 'make' implementations,
  322. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  323. # by disabling -e (using the XSI extension "set +e") if it's set.
  324. am__sh_e_setup = case $$- in *e*) set +e;; esac
  325. # Default flags passed to test drivers.
  326. am__common_driver_flags = \
  327. --color-tests "$$am__color_tests" \
  328. --enable-hard-errors "$$am__enable_hard_errors" \
  329. --expect-failure "$$am__expect_failure"
  330. # To be inserted before the command running the test. Creates the
  331. # directory for the log if needed. Stores in $dir the directory
  332. # containing $f, in $tst the test, in $log the log. Executes the
  333. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  334. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  335. # will run the test scripts (or their associated LOG_COMPILER, if
  336. # thy have one).
  337. am__check_pre = \
  338. $(am__sh_e_setup); \
  339. $(am__vpath_adj_setup) $(am__vpath_adj) \
  340. $(am__tty_colors); \
  341. srcdir=$(srcdir); export srcdir; \
  342. case "$@" in \
  343. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  344. *) am__odir=.;; \
  345. esac; \
  346. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  347. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  348. if test -f "./$$f"; then dir=./; \
  349. elif test -f "$$f"; then dir=; \
  350. else dir="$(srcdir)/"; fi; \
  351. tst=$$dir$$f; log='$@'; \
  352. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  353. am__enable_hard_errors=no; \
  354. else \
  355. am__enable_hard_errors=yes; \
  356. fi; \
  357. case " $(XFAIL_TESTS) " in \
  358. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  359. am__expect_failure=yes;; \
  360. *) \
  361. am__expect_failure=no;; \
  362. esac; \
  363. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  364. # A shell command to get the names of the tests scripts with any registered
  365. # extension removed (i.e., equivalently, the names of the test logs, with
  366. # the '.log' extension removed). The result is saved in the shell variable
  367. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  368. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  369. # since that might cause problem with VPATH rewrites for suffix-less tests.
  370. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  371. am__set_TESTS_bases = \
  372. bases='$(TEST_LOGS)'; \
  373. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  374. bases=`echo $$bases`
  375. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  376. RECHECK_LOGS = $(TEST_LOGS)
  377. AM_RECURSIVE_TARGETS = check recheck
  378. TEST_SUITE_LOG = test-suite.log
  379. TEST_EXTENSIONS = @EXEEXT@ .test
  380. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  381. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  382. am__set_b = \
  383. case '$@' in \
  384. */*) \
  385. case '$*' in \
  386. */*) b='$*';; \
  387. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  388. esac;; \
  389. *) \
  390. b='$*';; \
  391. esac
  392. am__test_logs1 = $(TESTS:=.log)
  393. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  394. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  395. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  396. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  397. $(TEST_LOG_FLAGS)
  398. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  399. $(top_srcdir)/build-aux/depcomp \
  400. $(top_srcdir)/build-aux/test-driver
  401. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  402. ACLOCAL = @ACLOCAL@
  403. AMTAR = @AMTAR@
  404. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  405. AR = @AR@
  406. AUTOCONF = @AUTOCONF@
  407. AUTOHEADER = @AUTOHEADER@
  408. AUTOMAKE = @AUTOMAKE@
  409. AWK = @AWK@
  410. BROWSER = @BROWSER@
  411. BUILD_CFLAGS = @BUILD_CFLAGS@
  412. BUILD_CPPFLAGS = @BUILD_CPPFLAGS@
  413. BUILD_LDFLAGS = @BUILD_LDFLAGS@
  414. CC = @CC@
  415. CCDEPMODE = @CCDEPMODE@
  416. CC_FOR_BUILD = @CC_FOR_BUILD@
  417. CFLAGS = @CFLAGS@
  418. CPP = @CPP@
  419. CPPFLAGS = @CPPFLAGS@
  420. CRYPTO_LIBS = @CRYPTO_LIBS@
  421. CRYPT_CFLAGS = @CRYPT_CFLAGS@
  422. CRYPT_LIBS = @CRYPT_LIBS@
  423. CYGPATH_W = @CYGPATH_W@
  424. DEFS = @DEFS@
  425. DEPDIR = @DEPDIR@
  426. DLLTOOL = @DLLTOOL@
  427. DSYMUTIL = @DSYMUTIL@
  428. DUMPBIN = @DUMPBIN@
  429. ECHO_C = @ECHO_C@
  430. ECHO_N = @ECHO_N@
  431. ECHO_T = @ECHO_T@
  432. ECONF_CFLAGS = @ECONF_CFLAGS@
  433. ECONF_LIBS = @ECONF_LIBS@
  434. EGREP = @EGREP@
  435. EXEEXT = @EXEEXT@
  436. EXE_CFLAGS = @EXE_CFLAGS@
  437. EXE_LDFLAGS = @EXE_LDFLAGS@
  438. FGREP = @FGREP@
  439. FO2PDF = @FO2PDF@
  440. GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
  441. GMSGFMT = @GMSGFMT@
  442. GMSGFMT_015 = @GMSGFMT_015@
  443. GREP = @GREP@
  444. INSTALL = @INSTALL@
  445. INSTALL_DATA = @INSTALL_DATA@
  446. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  447. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  448. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  449. INTLLIBS = @INTLLIBS@
  450. INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
  451. LD = @LD@
  452. LDFLAGS = @LDFLAGS@
  453. LEX = @LEX@
  454. LEXLIB = @LEXLIB@
  455. LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
  456. LIBAUDIT = @LIBAUDIT@
  457. LIBCRYPT = @LIBCRYPT@
  458. LIBDB = @LIBDB@
  459. LIBDL = @LIBDL@
  460. LIBICONV = @LIBICONV@
  461. LIBINTL = @LIBINTL@
  462. LIBOBJS = @LIBOBJS@
  463. LIBPRELUDE_CFLAGS = @LIBPRELUDE_CFLAGS@
  464. LIBPRELUDE_CONFIG = @LIBPRELUDE_CONFIG@
  465. LIBPRELUDE_CONFIG_PREFIX = @LIBPRELUDE_CONFIG_PREFIX@
  466. LIBPRELUDE_LDFLAGS = @LIBPRELUDE_LDFLAGS@
  467. LIBPRELUDE_LIBS = @LIBPRELUDE_LIBS@
  468. LIBPRELUDE_PREFIX = @LIBPRELUDE_PREFIX@
  469. LIBPRELUDE_PTHREAD_CFLAGS = @LIBPRELUDE_PTHREAD_CFLAGS@
  470. LIBS = @LIBS@
  471. LIBSELINUX = @LIBSELINUX@
  472. LIBTOOL = @LIBTOOL@
  473. LIPO = @LIPO@
  474. LN_S = @LN_S@
  475. LTLIBICONV = @LTLIBICONV@
  476. LTLIBINTL = @LTLIBINTL@
  477. LTLIBOBJS = @LTLIBOBJS@
  478. LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  479. MAKEINFO = @MAKEINFO@
  480. MANIFEST_TOOL = @MANIFEST_TOOL@
  481. MKDIR_P = @MKDIR_P@
  482. MSGFMT = @MSGFMT@
  483. MSGFMT_015 = @MSGFMT_015@
  484. MSGMERGE = @MSGMERGE@
  485. NIS_CFLAGS = @NIS_CFLAGS@
  486. NIS_LIBS = @NIS_LIBS@
  487. NM = @NM@
  488. NMEDIT = @NMEDIT@
  489. NSL_CFLAGS = @NSL_CFLAGS@
  490. NSL_LIBS = @NSL_LIBS@
  491. OBJDUMP = @OBJDUMP@
  492. OBJEXT = @OBJEXT@
  493. OTOOL = @OTOOL@
  494. OTOOL64 = @OTOOL64@
  495. PACKAGE = @PACKAGE@
  496. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  497. PACKAGE_NAME = @PACKAGE_NAME@
  498. PACKAGE_STRING = @PACKAGE_STRING@
  499. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  500. PACKAGE_URL = @PACKAGE_URL@
  501. PACKAGE_VERSION = @PACKAGE_VERSION@
  502. PATH_SEPARATOR = @PATH_SEPARATOR@
  503. PKG_CONFIG = @PKG_CONFIG@
  504. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  505. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  506. POSUB = @POSUB@
  507. RANLIB = @RANLIB@
  508. SCONFIGDIR = @SCONFIGDIR@
  509. SECUREDIR = @SECUREDIR@
  510. SED = @SED@
  511. SET_MAKE = @SET_MAKE@
  512. SHELL = @SHELL@
  513. STRINGPARAM_HMAC = @STRINGPARAM_HMAC@
  514. STRINGPARAM_VENDORDIR = @STRINGPARAM_VENDORDIR@
  515. STRIP = @STRIP@
  516. TIRPC_CFLAGS = @TIRPC_CFLAGS@
  517. TIRPC_LIBS = @TIRPC_LIBS@
  518. USE_NLS = @USE_NLS@
  519. VERSION = @VERSION@
  520. WARN_CFLAGS = @WARN_CFLAGS@
  521. XGETTEXT = @XGETTEXT@
  522. XGETTEXT_015 = @XGETTEXT_015@
  523. XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
  524. XMLCATALOG = @XMLCATALOG@
  525. XMLLINT = @XMLLINT@
  526. XML_CATALOG_FILE = @XML_CATALOG_FILE@
  527. XSLTPROC = @XSLTPROC@
  528. YACC = @YACC@
  529. YFLAGS = @YFLAGS@
  530. abs_builddir = @abs_builddir@
  531. abs_srcdir = @abs_srcdir@
  532. abs_top_builddir = @abs_top_builddir@
  533. abs_top_srcdir = @abs_top_srcdir@
  534. ac_ct_AR = @ac_ct_AR@
  535. ac_ct_CC = @ac_ct_CC@
  536. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  537. am__include = @am__include@
  538. am__leading_dot = @am__leading_dot@
  539. am__quote = @am__quote@
  540. am__tar = @am__tar@
  541. am__untar = @am__untar@
  542. bindir = @bindir@
  543. build = @build@
  544. build_alias = @build_alias@
  545. build_cpu = @build_cpu@
  546. build_os = @build_os@
  547. build_vendor = @build_vendor@
  548. builddir = @builddir@
  549. datadir = @datadir@
  550. datarootdir = @datarootdir@
  551. docdir = @docdir@
  552. dvidir = @dvidir@
  553. exec_prefix = @exec_prefix@
  554. host = @host@
  555. host_alias = @host_alias@
  556. host_cpu = @host_cpu@
  557. host_os = @host_os@
  558. host_vendor = @host_vendor@
  559. htmldir = @htmldir@
  560. includedir = @includedir@
  561. infodir = @infodir@
  562. install_sh = @install_sh@
  563. libdir = @libdir@
  564. libexecdir = @libexecdir@
  565. localedir = @localedir@
  566. localstatedir = @localstatedir@
  567. mandir = @mandir@
  568. mkdir_p = @mkdir_p@
  569. oldincludedir = @oldincludedir@
  570. pam_xauth_path = @pam_xauth_path@
  571. pdfdir = @pdfdir@
  572. prefix = @prefix@
  573. program_transform_name = @program_transform_name@
  574. psdir = @psdir@
  575. sbindir = @sbindir@
  576. sharedstatedir = @sharedstatedir@
  577. srcdir = @srcdir@
  578. sysconfdir = @sysconfdir@
  579. systemdunitdir = @systemdunitdir@
  580. target_alias = @target_alias@
  581. top_build_prefix = @top_build_prefix@
  582. top_builddir = @top_builddir@
  583. top_srcdir = @top_srcdir@
  584. CLEANFILES = *~
  585. MAINTAINERCLEANFILES = $(MANS) README
  586. EXTRA_DIST = $(XMLS)
  587. @HAVE_DOC_TRUE@dist_man_MANS = limits.conf.5 pam_limits.8
  588. XMLS = README.xml limits.conf.5.xml pam_limits.8.xml
  589. dist_check_SCRIPTS = tst-pam_limits
  590. TESTS = $(dist_check_SCRIPTS)
  591. securelibdir = $(SECUREDIR)
  592. secureconfdir = $(SCONFIGDIR)
  593. limits_conf_dir = $(SCONFIGDIR)/limits.d
  594. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  595. -DLIMITS_FILE_DIR=\"$(limits_conf_dir)/*.conf\" \
  596. -DLIMITS_FILE=\"$(SCONFIGDIR)/limits.conf\" $(WARN_CFLAGS)
  597. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  598. securelib_LTLIBRARIES = pam_limits.la
  599. pam_limits_la_LIBADD = $(top_builddir)/libpam/libpam.la
  600. dist_secureconf_DATA = limits.conf
  601. @ENABLE_REGENERATE_MAN_TRUE@dist_noinst_DATA = README
  602. all: all-am
  603. .SUFFIXES:
  604. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  605. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  606. @for dep in $?; do \
  607. case '$(am__configure_deps)' in \
  608. *$$dep*) \
  609. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  610. && { if test -f $@; then exit 0; else break; fi; }; \
  611. exit 1;; \
  612. esac; \
  613. done; \
  614. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_limits/Makefile'; \
  615. $(am__cd) $(top_srcdir) && \
  616. $(AUTOMAKE) --gnu modules/pam_limits/Makefile
  617. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  618. @case '$?' in \
  619. *config.status*) \
  620. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  621. *) \
  622. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  623. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  624. esac;
  625. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  626. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  627. $(top_srcdir)/configure: $(am__configure_deps)
  628. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  629. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  630. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  631. $(am__aclocal_m4_deps):
  632. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  633. @$(NORMAL_INSTALL)
  634. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  635. list2=; for p in $$list; do \
  636. if test -f $$p; then \
  637. list2="$$list2 $$p"; \
  638. else :; fi; \
  639. done; \
  640. test -z "$$list2" || { \
  641. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  642. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  643. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  644. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  645. }
  646. uninstall-securelibLTLIBRARIES:
  647. @$(NORMAL_UNINSTALL)
  648. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  649. for p in $$list; do \
  650. $(am__strip_dir) \
  651. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  652. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  653. done
  654. clean-securelibLTLIBRARIES:
  655. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  656. @list='$(securelib_LTLIBRARIES)'; \
  657. locs=`for p in $$list; do echo $$p; done | \
  658. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  659. sort -u`; \
  660. test -z "$$locs" || { \
  661. echo rm -f $${locs}; \
  662. rm -f $${locs}; \
  663. }
  664. pam_limits.la: $(pam_limits_la_OBJECTS) $(pam_limits_la_DEPENDENCIES) $(EXTRA_pam_limits_la_DEPENDENCIES)
  665. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_limits_la_OBJECTS) $(pam_limits_la_LIBADD) $(LIBS)
  666. mostlyclean-compile:
  667. -rm -f *.$(OBJEXT)
  668. distclean-compile:
  669. -rm -f *.tab.c
  670. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pam_limits.Plo@am__quote@ # am--include-marker
  671. $(am__depfiles_remade):
  672. @$(MKDIR_P) $(@D)
  673. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  674. am--depfiles: $(am__depfiles_remade)
  675. .c.o:
  676. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  677. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  678. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  679. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  680. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  681. .c.obj:
  682. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  683. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  684. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  685. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  686. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  687. .c.lo:
  688. @am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  689. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  690. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  691. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  692. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
  693. mostlyclean-libtool:
  694. -rm -f *.lo
  695. clean-libtool:
  696. -rm -rf .libs _libs
  697. install-man5: $(dist_man_MANS)
  698. @$(NORMAL_INSTALL)
  699. @list1=''; \
  700. list2='$(dist_man_MANS)'; \
  701. test -n "$(man5dir)" \
  702. && test -n "`echo $$list1$$list2`" \
  703. || exit 0; \
  704. echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
  705. $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
  706. { for i in $$list1; do echo "$$i"; done; \
  707. if test -n "$$list2"; then \
  708. for i in $$list2; do echo "$$i"; done \
  709. | sed -n '/\.5[a-z]*$$/p'; \
  710. fi; \
  711. } | while read p; do \
  712. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  713. echo "$$d$$p"; echo "$$p"; \
  714. done | \
  715. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  716. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  717. sed 'N;N;s,\n, ,g' | { \
  718. list=; while read file base inst; do \
  719. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  720. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
  721. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
  722. fi; \
  723. done; \
  724. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  725. while read files; do \
  726. test -z "$$files" || { \
  727. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
  728. $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
  729. done; }
  730. uninstall-man5:
  731. @$(NORMAL_UNINSTALL)
  732. @list=''; test -n "$(man5dir)" || exit 0; \
  733. files=`{ for i in $$list; do echo "$$i"; done; \
  734. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  735. sed -n '/\.5[a-z]*$$/p'; \
  736. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  737. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  738. dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
  739. install-man8: $(dist_man_MANS)
  740. @$(NORMAL_INSTALL)
  741. @list1=''; \
  742. list2='$(dist_man_MANS)'; \
  743. test -n "$(man8dir)" \
  744. && test -n "`echo $$list1$$list2`" \
  745. || exit 0; \
  746. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  747. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  748. { for i in $$list1; do echo "$$i"; done; \
  749. if test -n "$$list2"; then \
  750. for i in $$list2; do echo "$$i"; done \
  751. | sed -n '/\.8[a-z]*$$/p'; \
  752. fi; \
  753. } | while read p; do \
  754. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  755. echo "$$d$$p"; echo "$$p"; \
  756. done | \
  757. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  758. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  759. sed 'N;N;s,\n, ,g' | { \
  760. list=; while read file base inst; do \
  761. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  762. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  763. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  764. fi; \
  765. done; \
  766. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  767. while read files; do \
  768. test -z "$$files" || { \
  769. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  770. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  771. done; }
  772. uninstall-man8:
  773. @$(NORMAL_UNINSTALL)
  774. @list=''; test -n "$(man8dir)" || exit 0; \
  775. files=`{ for i in $$list; do echo "$$i"; done; \
  776. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  777. sed -n '/\.8[a-z]*$$/p'; \
  778. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  779. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  780. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  781. install-dist_secureconfDATA: $(dist_secureconf_DATA)
  782. @$(NORMAL_INSTALL)
  783. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  784. if test -n "$$list"; then \
  785. echo " $(MKDIR_P) '$(DESTDIR)$(secureconfdir)'"; \
  786. $(MKDIR_P) "$(DESTDIR)$(secureconfdir)" || exit 1; \
  787. fi; \
  788. for p in $$list; do \
  789. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  790. echo "$$d$$p"; \
  791. done | $(am__base_list) | \
  792. while read files; do \
  793. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(secureconfdir)'"; \
  794. $(INSTALL_DATA) $$files "$(DESTDIR)$(secureconfdir)" || exit $$?; \
  795. done
  796. uninstall-dist_secureconfDATA:
  797. @$(NORMAL_UNINSTALL)
  798. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  799. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  800. dir='$(DESTDIR)$(secureconfdir)'; $(am__uninstall_files_from_dir)
  801. ID: $(am__tagged_files)
  802. $(am__define_uniq_tagged_files); mkid -fID $$unique
  803. tags: tags-am
  804. TAGS: tags
  805. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  806. set x; \
  807. here=`pwd`; \
  808. $(am__define_uniq_tagged_files); \
  809. shift; \
  810. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  811. test -n "$$unique" || unique=$$empty_fix; \
  812. if test $$# -gt 0; then \
  813. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  814. "$$@" $$unique; \
  815. else \
  816. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  817. $$unique; \
  818. fi; \
  819. fi
  820. ctags: ctags-am
  821. CTAGS: ctags
  822. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  823. $(am__define_uniq_tagged_files); \
  824. test -z "$(CTAGS_ARGS)$$unique" \
  825. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  826. $$unique
  827. GTAGS:
  828. here=`$(am__cd) $(top_builddir) && pwd` \
  829. && $(am__cd) $(top_srcdir) \
  830. && gtags -i $(GTAGS_ARGS) "$$here"
  831. cscopelist: cscopelist-am
  832. cscopelist-am: $(am__tagged_files)
  833. list='$(am__tagged_files)'; \
  834. case "$(srcdir)" in \
  835. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  836. *) sdir=$(subdir)/$(srcdir) ;; \
  837. esac; \
  838. for i in $$list; do \
  839. if test -f "$$i"; then \
  840. echo "$(subdir)/$$i"; \
  841. else \
  842. echo "$$sdir/$$i"; \
  843. fi; \
  844. done >> $(top_builddir)/cscope.files
  845. distclean-tags:
  846. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  847. # Recover from deleted '.trs' file; this should ensure that
  848. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  849. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  850. # to avoid problems with "make -n".
  851. .log.trs:
  852. rm -f $< $@
  853. $(MAKE) $(AM_MAKEFLAGS) $<
  854. # Leading 'am--fnord' is there to ensure the list of targets does not
  855. # expand to empty, as could happen e.g. with make check TESTS=''.
  856. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  857. am--force-recheck:
  858. @:
  859. $(TEST_SUITE_LOG): $(TEST_LOGS)
  860. @$(am__set_TESTS_bases); \
  861. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  862. redo_bases=`for i in $$bases; do \
  863. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  864. done`; \
  865. if test -n "$$redo_bases"; then \
  866. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  867. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  868. if $(am__make_dryrun); then :; else \
  869. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  870. fi; \
  871. fi; \
  872. if test -n "$$am__remaking_logs"; then \
  873. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  874. "recursion detected" >&2; \
  875. elif test -n "$$redo_logs"; then \
  876. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  877. fi; \
  878. if $(am__make_dryrun); then :; else \
  879. st=0; \
  880. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  881. for i in $$redo_bases; do \
  882. test -f $$i.trs && test -r $$i.trs \
  883. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  884. test -f $$i.log && test -r $$i.log \
  885. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  886. done; \
  887. test $$st -eq 0 || exit 1; \
  888. fi
  889. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  890. ws='[ ]'; \
  891. results=`for b in $$bases; do echo $$b.trs; done`; \
  892. test -n "$$results" || results=/dev/null; \
  893. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  894. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  895. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  896. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  897. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  898. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  899. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  900. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  901. success=true; \
  902. else \
  903. success=false; \
  904. fi; \
  905. br='==================='; br=$$br$$br$$br$$br; \
  906. result_count () \
  907. { \
  908. if test x"$$1" = x"--maybe-color"; then \
  909. maybe_colorize=yes; \
  910. elif test x"$$1" = x"--no-color"; then \
  911. maybe_colorize=no; \
  912. else \
  913. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  914. fi; \
  915. shift; \
  916. desc=$$1 count=$$2; \
  917. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  918. color_start=$$3 color_end=$$std; \
  919. else \
  920. color_start= color_end=; \
  921. fi; \
  922. echo "$${color_start}# $$desc $$count$${color_end}"; \
  923. }; \
  924. create_testsuite_report () \
  925. { \
  926. result_count $$1 "TOTAL:" $$all "$$brg"; \
  927. result_count $$1 "PASS: " $$pass "$$grn"; \
  928. result_count $$1 "SKIP: " $$skip "$$blu"; \
  929. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  930. result_count $$1 "FAIL: " $$fail "$$red"; \
  931. result_count $$1 "XPASS:" $$xpass "$$red"; \
  932. result_count $$1 "ERROR:" $$error "$$mgn"; \
  933. }; \
  934. { \
  935. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  936. $(am__rst_title); \
  937. create_testsuite_report --no-color; \
  938. echo; \
  939. echo ".. contents:: :depth: 2"; \
  940. echo; \
  941. for b in $$bases; do echo $$b; done \
  942. | $(am__create_global_log); \
  943. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  944. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  945. if $$success; then \
  946. col="$$grn"; \
  947. else \
  948. col="$$red"; \
  949. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  950. fi; \
  951. echo "$${col}$$br$${std}"; \
  952. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  953. echo "$${col}$$br$${std}"; \
  954. create_testsuite_report --maybe-color; \
  955. echo "$$col$$br$$std"; \
  956. if $$success; then :; else \
  957. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  958. if test -n "$(PACKAGE_BUGREPORT)"; then \
  959. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  960. fi; \
  961. echo "$$col$$br$$std"; \
  962. fi; \
  963. $$success || exit 1
  964. check-TESTS: $(dist_check_SCRIPTS)
  965. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  966. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  967. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  968. @set +e; $(am__set_TESTS_bases); \
  969. log_list=`for i in $$bases; do echo $$i.log; done`; \
  970. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  971. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  972. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  973. exit $$?;
  974. recheck: all $(dist_check_SCRIPTS)
  975. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  976. @set +e; $(am__set_TESTS_bases); \
  977. bases=`for i in $$bases; do echo $$i; done \
  978. | $(am__list_recheck_tests)` || exit 1; \
  979. log_list=`for i in $$bases; do echo $$i.log; done`; \
  980. log_list=`echo $$log_list`; \
  981. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  982. am__force_recheck=am--force-recheck \
  983. TEST_LOGS="$$log_list"; \
  984. exit $$?
  985. tst-pam_limits.log: tst-pam_limits
  986. @p='tst-pam_limits'; \
  987. b='tst-pam_limits'; \
  988. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  989. --log-file $$b.log --trs-file $$b.trs \
  990. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  991. "$$tst" $(AM_TESTS_FD_REDIRECT)
  992. .test.log:
  993. @p='$<'; \
  994. $(am__set_b); \
  995. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  996. --log-file $$b.log --trs-file $$b.trs \
  997. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  998. "$$tst" $(AM_TESTS_FD_REDIRECT)
  999. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  1000. @am__EXEEXT_TRUE@ @p='$<'; \
  1001. @am__EXEEXT_TRUE@ $(am__set_b); \
  1002. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1003. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  1004. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1005. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  1006. distdir: $(BUILT_SOURCES)
  1007. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1008. distdir-am: $(DISTFILES)
  1009. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1010. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1011. list='$(DISTFILES)'; \
  1012. dist_files=`for file in $$list; do echo $$file; done | \
  1013. sed -e "s|^$$srcdirstrip/||;t" \
  1014. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1015. case $$dist_files in \
  1016. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1017. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1018. sort -u` ;; \
  1019. esac; \
  1020. for file in $$dist_files; do \
  1021. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1022. if test -d $$d/$$file; then \
  1023. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1024. if test -d "$(distdir)/$$file"; then \
  1025. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1026. fi; \
  1027. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1028. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1029. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1030. fi; \
  1031. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1032. else \
  1033. test -f "$(distdir)/$$file" \
  1034. || cp -p $$d/$$file "$(distdir)/$$file" \
  1035. || exit 1; \
  1036. fi; \
  1037. done
  1038. check-am: all-am
  1039. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  1040. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1041. check: check-am
  1042. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA)
  1043. installdirs:
  1044. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)"; do \
  1045. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1046. done
  1047. install: install-am
  1048. install-exec: install-exec-am
  1049. install-data: install-data-am
  1050. uninstall: uninstall-am
  1051. install-am: all-am
  1052. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1053. installcheck: installcheck-am
  1054. install-strip:
  1055. if test -z '$(STRIP)'; then \
  1056. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1057. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1058. install; \
  1059. else \
  1060. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1061. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1062. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1063. fi
  1064. mostlyclean-generic:
  1065. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1066. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1067. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1068. clean-generic:
  1069. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1070. distclean-generic:
  1071. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1072. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1073. maintainer-clean-generic:
  1074. @echo "This command is intended for maintainers to use"
  1075. @echo "it deletes files that may require special tools to rebuild."
  1076. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1077. clean: clean-am
  1078. clean-am: clean-generic clean-libtool clean-securelibLTLIBRARIES \
  1079. mostlyclean-am
  1080. distclean: distclean-am
  1081. -rm -f ./$(DEPDIR)/pam_limits.Plo
  1082. -rm -f Makefile
  1083. distclean-am: clean-am distclean-compile distclean-generic \
  1084. distclean-tags
  1085. dvi: dvi-am
  1086. dvi-am:
  1087. html: html-am
  1088. html-am:
  1089. info: info-am
  1090. info-am:
  1091. install-data-am: install-data-local install-dist_secureconfDATA \
  1092. install-man install-securelibLTLIBRARIES
  1093. install-dvi: install-dvi-am
  1094. install-dvi-am:
  1095. install-exec-am:
  1096. install-html: install-html-am
  1097. install-html-am:
  1098. install-info: install-info-am
  1099. install-info-am:
  1100. install-man: install-man5 install-man8
  1101. install-pdf: install-pdf-am
  1102. install-pdf-am:
  1103. install-ps: install-ps-am
  1104. install-ps-am:
  1105. installcheck-am:
  1106. maintainer-clean: maintainer-clean-am
  1107. -rm -f ./$(DEPDIR)/pam_limits.Plo
  1108. -rm -f Makefile
  1109. maintainer-clean-am: distclean-am maintainer-clean-generic
  1110. mostlyclean: mostlyclean-am
  1111. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1112. mostlyclean-libtool
  1113. pdf: pdf-am
  1114. pdf-am:
  1115. ps: ps-am
  1116. ps-am:
  1117. uninstall-am: uninstall-dist_secureconfDATA uninstall-man \
  1118. uninstall-securelibLTLIBRARIES
  1119. uninstall-man: uninstall-man5 uninstall-man8
  1120. .MAKE: check-am install-am install-strip
  1121. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1122. check-am clean clean-generic clean-libtool \
  1123. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1124. distclean distclean-compile distclean-generic \
  1125. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1126. html-am info info-am install install-am install-data \
  1127. install-data-am install-data-local install-dist_secureconfDATA \
  1128. install-dvi install-dvi-am install-exec install-exec-am \
  1129. install-html install-html-am install-info install-info-am \
  1130. install-man install-man5 install-man8 install-pdf \
  1131. install-pdf-am install-ps install-ps-am \
  1132. install-securelibLTLIBRARIES install-strip installcheck \
  1133. installcheck-am installdirs maintainer-clean \
  1134. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1135. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1136. recheck tags tags-am uninstall uninstall-am \
  1137. uninstall-dist_secureconfDATA uninstall-man uninstall-man5 \
  1138. uninstall-man8 uninstall-securelibLTLIBRARIES
  1139. .PRECIOUS: Makefile
  1140. install-data-local:
  1141. mkdir -p $(DESTDIR)$(limits_conf_dir)
  1142. @ENABLE_REGENERATE_MAN_TRUE@-include $(top_srcdir)/Make.xml.rules
  1143. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1144. # Otherwise a system limit (for SysV at least) may be exceeded.
  1145. .NOEXPORT: